Bug 149112

Summary: [GTK] media controls does not show up when playing video finishes.
Product: WebKit Reporter: ChangSeok Oh <changseok>
Component: WebKitGTKAssignee: ChangSeok Oh <changseok>
Status: RESOLVED FIXED    
Severity: Normal CC: calvaris, cgarcia, clopez, commit-queue, gns, pnormand
Priority: P2    
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 149151    
Bug Blocks: 149396    
Attachments:
Description Flags
Patch
none
Patch
none
Patch none

Description ChangSeok Oh 2015-09-13 22:10:49 PDT
1. go http://www.w3schools.com/html/html5_video.asp
2. play the video
3. move out a cursor from video.
4. wait until video finishes.

GTK port does not show controls after playing video. This behavior is different from what Mac port does. They do show controls when playing video finishes.
At least, we should update timeline when showing controls after playing video.
Comment 1 ChangSeok Oh 2015-09-14 21:35:20 PDT
Created attachment 261169 [details]
Patch
Comment 2 ChangSeok Oh 2015-09-14 22:11:00 PDT
Created attachment 261173 [details]
Patch
Comment 3 Philippe Normand 2015-09-14 23:54:19 PDT
Xabier wdyt about this patch?
Comment 4 Xabier Rodríguez Calvar 2015-09-15 03:35:14 PDT
(In reply to comment #3)
> Xabier wdyt about this patch?

At a first glance it looks ok.

I don't know why but I cannot render any page with video so I cannot give the patch a try.

Tests need to run smoothly without any change and some smoke testing needs to be done with both audio only and video to ensure nothing is broken. That code is quite delicate :)
Comment 5 ChangSeok Oh 2015-09-15 04:11:34 PDT
(In reply to comment #4)
> (In reply to comment #3)
> > Xabier wdyt about this patch?
> 
> At a first glance it looks ok.
> 
> I don't know why but I cannot render any page with video so I cannot give
> the patch a try.
> 
> Tests need to run smoothly without any change and some smoke testing needs
> to be done with both audio only and video to ensure nothing is broken. That
> code is quite delicate :)

FYI, I'm trying to fix the existing issues for media controls. This is a series patch. Please consider bug149111, bug149113 as well. =)
Comment 6 ChangSeok Oh 2015-09-16 00:11:10 PDT
Created attachment 261299 [details]
Patch
Comment 7 ChangSeok Oh 2015-09-21 01:03:51 PDT
Comment on attachment 261299 [details]
Patch

Here we go!
Comment 8 WebKit Commit Bot 2015-09-21 01:53:20 PDT
Comment on attachment 261299 [details]
Patch

Clearing flags on attachment: 261299

Committed r190054: <http://trac.webkit.org/changeset/190054>
Comment 9 WebKit Commit Bot 2015-09-21 01:53:23 PDT
All reviewed patches have been landed.  Closing bug.
Comment 10 Carlos Alberto Lopez Perez 2015-12-09 12:13:45 PST
You missed to update some baselines after this changes. I have done that on http://trac.webkit.org/changeset/193853